summarylogtreecommitdiffstats
path: root/x2godesktopsharing.install
diff options
context:
space:
mode:
Diffstat (limited to 'x2godesktopsharing.install')
-rw-r--r--x2godesktopsharing.install26
1 files changed, 26 insertions, 0 deletions
diff --git a/x2godesktopsharing.install b/x2godesktopsharing.install
new file mode 100644
index 000000000000..f285d7c6a435
--- /dev/null
+++ b/x2godesktopsharing.install
@@ -0,0 +1,26 @@
+post_install()
+{
+ # setup x2godesktopsharing group
+ if ! getent group x2godesktopsharing >/dev/null; then
+ groupadd -K GID_MIN=800 -K GID_MAX=999 x2godesktopsharing
+ echo " ==> Group x2godesktopsharing created."
+ echo " Adding users to x2godesktopsharing ('gpasswd -a \$USER x2godesktopsharing')"
+ echo " will allow them to access their current local desktop remotely (shadowing)."
+ fi
+}
+
+post_upgrade()
+{
+ post_install
+ warning
+}
+
+warning()
+{
+ # Check if the originally used "x2godesktopshare" still exists and propose migration.
+ # The sys user should take care about (delete) the obsolete group manually.
+ if getent group x2godesktopshare >/dev/null; then
+ echo " The obsolete group x2godesktopshare exists. Pls migrate users to the group"
+ echo " x2godesktopsharing instead and remove this obsolete one."
+ fi
+}